# Class: download_png

## LocusZoom_Widgets~download_png()

Button to export current plot to a PNG image

## Constructor

#### new download_png()

##### Extends:

- module:LocusZoom_Widgets~download_svg

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.button_html` | string | <optional> | "Download PNG" |
`layout.button_title` | string | <optional> | "Download image" |
`layout.filename` | string | <optional> | "locuszoom.svg" | The default filename to use when saving the image
`layout.custom_event_name` | string | <optional> | 'widget_save_png' | The name of the event that will be emitted when the button is clicked

Source:
  - components/toolbar/widgets.js, line 1034
See:
  - module:LocusZoom_Widgets~BaseWidget for additional options

### Extends

- module:LocusZoom_Widgets~download_svg